from pathlib import Path
import os

from jgutils import converters
from jgutils.image.convert import pillow_convert


def cli_image_convert(args):

    input_path = args.input.resolve()
    if not input_path.is_dir():
        output_dir = input_path.parent
    else:
        output_dir = input_path
    
    converters.convert(input_path,
                       output_dir,
                       "HEIC",
                       "png",
                       pillow_convert,
                       True)

def add_parser(subparsers):
    parser = subparsers.add_parser("image")
    parsers = parser.add_subparsers(required=True)
    convert_parser = parsers.add_parser("convert")

    convert_parser.add_argument(
        "--input",
        type=Path,
        default=Path(os.getcwd()),
        help="Path to run the conversion from",
    )
    convert_parser.set_defaults(func=cli_image_convert)
 
