from pathlib import Path
import logging
import sys

from PIL import Image
from pillow_heif import HeifImagePlugin
from PIL.ExifTags import TAGS

logger = logging.getLogger(__name__)


def pillow_convert(paths: tuple[Path]):
    input_path, output_path = paths
    logging.info("Converting %s to %s: ", input_path, output_path)
    with Image.open(input_path) as im:
        im.save(output_path, exif=im.getexif())
    
if __name__ == "__main__":

    path = sys.argv[1]
    image = Image.open(path)
    print(image.info)
    print(image.getxmp())
    exifdata = image.getexif()
    print(exifdata)
    for tag_id in exifdata:
        print(tag_id)
        tag = TAGS.get(tag_id,tag_id)
        print(tag)
        data = exifdata.get(tag_id)
        print(data)
        # we decode bytes
        if isinstance(data,bytes):
            data = data.decode()
            print(f'{tag:25}: {data}')
