import argparse
import logging
from pathlib import Path
import os

import jgutils.filesystem.cli
import jgutils.image.cli
import jgutils.music.cli


logger = logging.getLogger(__name__)

   
def main_cli():
    parser = argparse.ArgumentParser()
    subparsers = parser.add_subparsers(required=True)

    jgutils.filesystem.cli.add_parser(subparsers)
    jgutils.image.cli.add_parser(subparsers)
    jgutils.music.cli.add_parser(subparsers)
 
    logging.basicConfig()
    logging.getLogger().setLevel(logging.INFO)

    args = parser.parse_args()
    args.func(args)


if __name__ == "__main__":
    main_cli()
